Skip to content

Payment Terms ​

Part of the Accounts API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).

List payment terms ​

GET /admin/api/v1/accounts/payment-terms

Retrieve a paginated list of payment terms with filtering and sorting

🔒 Requires a valid Bearer token.

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: company, creator, dueTermsdueTerms
filter[id]stringNoComma-separated list of IDs to filter by
filter[name]stringNoFilter by payment term name (partial match)
filter[company_id]integerNoFilter by company ID
filter[trashed]stringNoFilter by trashed status. Options: with, only
sortstringYesSort fieldname
pageintegerYesPage number1
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/payment-terms?include=dueTerms&sort=name&page=1" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms?include=dueTerms&sort=name&page=1", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/payment-terms?include=dueTerms&sort=name&page=1', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms?include=dueTerms&sort=name&page=1"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": [
    {
      "id": 1,
      "name": "Immediate Payment",
      "note": "<p>Payment terms: Immediate Payment</p>",
      "company_id": null,
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z",
      "deleted_at": null,
      "due_terms": [
        {
          "id": 1,
          "value": "percent",
          "value_amount": "100.0000",
          "delay_type": "days_after",
          "nb_days": 0,
          "days_next_month": "10",
          "payment_id": 1,
          "creator_id": 1,
          "created_at": "2026-10-09T09:50:40.000000Z",
          "updated_at": "2026-10-09T09:50:40.000000Z"
        }
      ]
    },
    {
      "id": 1,
      "name": "Immediate Payment",
      "note": "<p>Payment terms: Immediate Payment</p>",
      "company_id": null,
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z",
      "deleted_at": null,
      "due_terms": [
        {
          "id": 1,
          "value": "percent",
          "value_amount": "100.0000",
          "delay_type": "days_after",
          "nb_days": 0,
          "days_next_month": "10",
          "payment_id": 1,
          "creator_id": 1,
          "created_at": "2026-10-09T09:50:40.000000Z",
          "updated_at": "2026-10-09T09:50:40.000000Z"
        }
      ]
    }
  ],
  "links": {
    "first": "/?page=1",
    "last": "/?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "page": null,
        "active": false
      },
      {
        "url": "/?page=1",
        "label": "1",
        "page": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "page": null,
        "active": false
      }
    ],
    "path": "/",
    "per_page": 10,
    "to": 2,
    "total": 2
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Create payment term ​

POST /admin/api/v1/accounts/payment-terms

Create a new payment term

🔒 Requires a valid Bearer token.

Body parameters

ParameterTypeRequiredDescription
namestringYesPayment term name. Must not be greater than 255 characters.
company_idintegerNoCompany ID. Must match an existing stored value.
notestringNoPayment term notes.
bash
curl -X POST "https://your-domain.com/admin/api/v1/accounts/payment-terms" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "30 Days",
  "company_id": 1,
  "note": "Payment due within 30 days"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "30 Days",
  "company_id": 1,
  "note": "Payment due within 30 days"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/payment-terms', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => '30 Days',
    'company_id' => 1,
    'note' => 'Payment due within 30 days',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "30 Days",
    "company_id": 1,
    "note": "Payment due within 30 days",
}

response = requests.post(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 201

json
{
  "data": {
    "id": 1,
    "name": "Immediate Payment",
    "note": "<p>Payment terms: Immediate Payment</p>",
    "company_id": null,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Payment term created successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Show payment term ​

GET /admin/api/v1/accounts/payment-terms/{id}

Retrieve a specific payment term by its ID

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe payment term ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: company, creator, dueTermscompany
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}?include=company" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}?include=company", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}?include=company', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}?include=company"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Immediate Payment",
    "note": "<p>Payment terms: Immediate Payment</p>",
    "company_id": null,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null,
    "due_terms": [
      {
        "id": 1,
        "value": "percent",
        "value_amount": "100.0000",
        "delay_type": "days_after",
        "nb_days": 0,
        "days_next_month": "10",
        "payment_id": 1,
        "creator_id": 1,
        "created_at": "2026-10-09T09:50:40.000000Z",
        "updated_at": "2026-10-09T09:50:40.000000Z"
      }
    ]
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Update payment term ​

PUT /admin/api/v1/accounts/payment-terms/{id}

Update an existing payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe payment term ID

Body parameters

ParameterTypeRequiredDescription
namestringNoPayment term name. Must not be greater than 255 characters.
company_idintegerNoCompany ID. Must match an existing stored value.
notestringNoPayment term notes.
bash
curl -X PUT "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "30 Days",
  "company_id": 1,
  "note": "Payment due within 30 days"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "30 Days",
  "company_id": 1,
  "note": "Payment due within 30 days"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => '30 Days',
    'company_id' => 1,
    'note' => 'Payment due within 30 days',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "30 Days",
    "company_id": 1,
    "note": "Payment due within 30 days",
}

response = requests.put(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Immediate Payment",
    "note": "<p>Payment terms: Immediate Payment</p>",
    "company_id": null,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Payment term updated successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Delete payment term ​

DELETE /admin/api/v1/accounts/payment-terms/{id}

Soft delete a payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe payment term ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Payment term deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Restore payment term ​

POST /admin/api/v1/accounts/payment-terms/{id}/restore

Restore a soft-deleted payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe payment term ID
bash
curl -X POST "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/restore" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/restore", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/restore', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/restore"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Immediate Payment",
    "note": "<p>Payment terms: Immediate Payment</p>",
    "company_id": null,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z",
    "deleted_at": null
  },
  "message": "Payment term restored successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Force delete payment term ​

DELETE /admin/api/v1/accounts/payment-terms/{id}/force

Permanently delete a payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe payment term ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/force" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/force", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/force', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{id}/force"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Payment term permanently deleted."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Released under the MIT License.